/* automatically generated from ./x86/regs.dat - do not edit */

#include "tables.h"

const int nasm_regvals[] = {
    -1,
     4,  /* ah    */
     0,  /* al    */
     0,  /* ax    */
     7,  /* bh    */
     3,  /* bl    */
     0,  /* bnd0  */
     1,  /* bnd1  */
     2,  /* bnd2  */
     3,  /* bnd3  */
     5,  /* bp    */
     5,  /* bpl   */
     3,  /* bx    */
     5,  /* ch    */
     1,  /* cl    */
     0,  /* cr0   */
     1,  /* cr1   */
    10,  /* cr10  */
    11,  /* cr11  */
    12,  /* cr12  */
    13,  /* cr13  */
    14,  /* cr14  */
    15,  /* cr15  */
     2,  /* cr2   */
     3,  /* cr3   */
     4,  /* cr4   */
     5,  /* cr5   */
     6,  /* cr6   */
     7,  /* cr7   */
     8,  /* cr8   */
     9,  /* cr9   */
     1,  /* cs    */
     1,  /* cx    */
     6,  /* dh    */
     7,  /* di    */
     7,  /* dil   */
     2,  /* dl    */
     0,  /* dr0   */
     1,  /* dr1   */
    10,  /* dr10  */
    11,  /* dr11  */
    12,  /* dr12  */
    13,  /* dr13  */
    14,  /* dr14  */
    15,  /* dr15  */
     2,  /* dr2   */
     3,  /* dr3   */
     4,  /* dr4   */
     5,  /* dr5   */
     6,  /* dr6   */
     7,  /* dr7   */
     8,  /* dr8   */
     9,  /* dr9   */
     3,  /* ds    */
     2,  /* dx    */
     0,  /* eax   */
     5,  /* ebp   */
     3,  /* ebx   */
     1,  /* ecx   */
     7,  /* edi   */
     2,  /* edx   */
     0,  /* es    */
     6,  /* esi   */
     4,  /* esp   */
     4,  /* fs    */
     5,  /* gs    */
     0,  /* k0    */
     1,  /* k1    */
     2,  /* k2    */
     3,  /* k3    */
     4,  /* k4    */
     5,  /* k5    */
     6,  /* k6    */
     7,  /* k7    */
     0,  /* mm0   */
     1,  /* mm1   */
     2,  /* mm2   */
     3,  /* mm3   */
     4,  /* mm4   */
     5,  /* mm5   */
     6,  /* mm6   */
     7,  /* mm7   */
    10,  /* r10   */
    10,  /* r10b  */
    10,  /* r10d  */
    10,  /* r10w  */
    11,  /* r11   */
    11,  /* r11b  */
    11,  /* r11d  */
    11,  /* r11w  */
    12,  /* r12   */
    12,  /* r12b  */
    12,  /* r12d  */
    12,  /* r12w  */
    13,  /* r13   */
    13,  /* r13b  */
    13,  /* r13d  */
    13,  /* r13w  */
    14,  /* r14   */
    14,  /* r14b  */
    14,  /* r14d  */
    14,  /* r14w  */
    15,  /* r15   */
    15,  /* r15b  */
    15,  /* r15d  */
    15,  /* r15w  */
     8,  /* r8    */
     8,  /* r8b   */
     8,  /* r8d   */
     8,  /* r8w   */
     9,  /* r9    */
     9,  /* r9b   */
     9,  /* r9d   */
     9,  /* r9w   */
     0,  /* rax   */
     5,  /* rbp   */
     3,  /* rbx   */
     1,  /* rcx   */
     7,  /* rdi   */
     2,  /* rdx   */
     6,  /* rsi   */
     4,  /* rsp   */
     6,  /* segr6 */
     7,  /* segr7 */
     6,  /* si    */
     6,  /* sil   */
     4,  /* sp    */
     4,  /* spl   */
     2,  /* ss    */
     0,  /* st0   */
     1,  /* st1   */
     2,  /* st2   */
     3,  /* st3   */
     4,  /* st4   */
     5,  /* st5   */
     6,  /* st6   */
     7,  /* st7   */
     0,  /* tmm0  */
     1,  /* tmm1  */
     2,  /* tmm2  */
     3,  /* tmm3  */
     4,  /* tmm4  */
     5,  /* tmm5  */
     6,  /* tmm6  */
     7,  /* tmm7  */
     0,  /* tr0   */
     1,  /* tr1   */
     2,  /* tr2   */
     3,  /* tr3   */
     4,  /* tr4   */
     5,  /* tr5   */
     6,  /* tr6   */
     7,  /* tr7   */
     0,  /* xmm0  */
     1,  /* xmm1  */
    10,  /* xmm10 */
    11,  /* xmm11 */
    12,  /* xmm12 */
    13,  /* xmm13 */
    14,  /* xmm14 */
    15,  /* xmm15 */
    16,  /* xmm16 */
    17,  /* xmm17 */
    18,  /* xmm18 */
    19,  /* xmm19 */
     2,  /* xmm2  */
    20,  /* xmm20 */
    21,  /* xmm21 */
    22,  /* xmm22 */
    23,  /* xmm23 */
    24,  /* xmm24 */
    25,  /* xmm25 */
    26,  /* xmm26 */
    27,  /* xmm27 */
    28,  /* xmm28 */
    29,  /* xmm29 */
     3,  /* xmm3  */
    30,  /* xmm30 */
    31,  /* xmm31 */
     4,  /* xmm4  */
     5,  /* xmm5  */
     6,  /* xmm6  */
     7,  /* xmm7  */
     8,  /* xmm8  */
     9,  /* xmm9  */
     0,  /* ymm0  */
     1,  /* ymm1  */
    10,  /* ymm10 */
    11,  /* ymm11 */
    12,  /* ymm12 */
    13,  /* ymm13 */
    14,  /* ymm14 */
    15,  /* ymm15 */
    16,  /* ymm16 */
    17,  /* ymm17 */
    18,  /* ymm18 */
    19,  /* ymm19 */
     2,  /* ymm2  */
    20,  /* ymm20 */
    21,  /* ymm21 */
    22,  /* ymm22 */
    23,  /* ymm23 */
    24,  /* ymm24 */
    25,  /* ymm25 */
    26,  /* ymm26 */
    27,  /* ymm27 */
    28,  /* ymm28 */
    29,  /* ymm29 */
     3,  /* ymm3  */
    30,  /* ymm30 */
    31,  /* ymm31 */
     4,  /* ymm4  */
     5,  /* ymm5  */
     6,  /* ymm6  */
     7,  /* ymm7  */
     8,  /* ymm8  */
     9,  /* ymm9  */
     0,  /* zmm0  */
     1,  /* zmm1  */
    10,  /* zmm10 */
    11,  /* zmm11 */
    12,  /* zmm12 */
    13,  /* zmm13 */
    14,  /* zmm14 */
    15,  /* zmm15 */
    16,  /* zmm16 */
    17,  /* zmm17 */
    18,  /* zmm18 */
    19,  /* zmm19 */
     2,  /* zmm2  */
    20,  /* zmm20 */
    21,  /* zmm21 */
    22,  /* zmm22 */
    23,  /* zmm23 */
    24,  /* zmm24 */
    25,  /* zmm25 */
    26,  /* zmm26 */
    27,  /* zmm27 */
    28,  /* zmm28 */
    29,  /* zmm29 */
     3,  /* zmm3  */
    30,  /* zmm30 */
    31,  /* zmm31 */
     4,  /* zmm4  */
     5,  /* zmm5  */
     6,  /* zmm6  */
     7,  /* zmm7  */
     8,  /* zmm8  */
     9,  /* zmm9  */
};
